name: Manual push to live
run-name: ${{ gitea.actor }} is manually deploying to neocities
on: workflow_dispatch

jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v3
      - name: Set up Node.js
        uses: actions/setup-node@v3
        with:
          node-version: 20
      - name: Install dependencies
        run: npm ci
      - name: Build Vite site
        run: npm run build
      - name: Deploy to neocities
        uses: bcomnes/deploy-to-neocities@v3
        with:
          api_key: ${{ secrets.NEOCITIES_API_TOKEN }}
          cleanup: true
          neocities_supporter: false
          preview_before_deploy: true
          dist_dir: dist
